import { PkgItem, BaseProject, NessPkgItem, PkgList } from '@thing.js/cli-utils';
import * as rollup from 'rollup';

declare function getRollupConfig(pkg: PkgItem): {
    plugins: ({
        name: string;
        load(id: string): any;
        transform(source: string, id: string): string | undefined;
        writeBundle(): void;
    } | {
        name: string;
        moduleParsed(moduleInfo: rollup.ModuleInfo): void;
        buildEnd(): Promise<unknown>;
    })[];
    output: {
        format: string;
    };
};

declare class PluginProject extends BaseProject {
    hasPkgJson(dirPath: string): boolean;
    getPackageInfo(dirPath: string): NessPkgItem;
    onBuild(pkgs?: PkgList): Promise<void>;
}
declare const _default: (api: any) => void;

declare const Project: typeof PluginProject;

export { PluginProject, Project, _default as default, getRollupConfig };
